
QGIS Application - Bug report #9598

problems with adding embed layers/groups

2014-02-18 11:46 PM - Denis Rouzaud

Status: Closed

Priority: Normal

Assignee:

Category: Map Legend

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 18176

Description

I noticed a few problems while adding embed layers or groups:

    -  if you add a layer which ID already exist in the project, no layer is added without any feedback to the user (1)

    -  if you duplicate a project, and from another one add twice the same group, QGIS freezes (2)

    -  if a embed layer disappears in the external project it is not removed from the map layer list in the project (3)

    1. it seems that the id is not accessible in QgsProject::createEmbedLayer (line 1661)

    2. it seems to freeze in QgsLegendItem::insertChild at QTreeWidgetItem::insertChild( index, child );

    3. although not sure, this is considered as a bug since the layer might reappear? Anyway, you might get into troubles with (1)

At first, this might not sound a common situation to have similar layer ids. But, it might happen if you have different data sets of the same

structure and want to see them in a central project.

Not sure it is worth spending time on it since Martin will re-do the legend.

Related issues:

Related to QGIS Application - Bug report # 13913: Embed layers and groups doe... Closed 2015-11-30

History

#1 - 2014-10-30 10:01 AM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2014-10-30 12:43 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Status changed from Open to Feedback

- Priority changed from High to Normal

2) and 3) seems to me are fixed in qgis master.

1) seems still true

#3 - 2015-12-27 02:53 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Assignee deleted (Martin Dobias)

#4 - 2017-05-01 01:08 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No
#5 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
